> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/printing.md).

# Printing

## Get

> Retrieve information about RAS printing settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PrintingSettings":{"get":{"tags":["2-Site settings//Printing"],"summary":"Get","description":"Retrieve information about RAS printing settings.","operationId":"4b74366c-b1ab-4757-a2d6-14ac0c64a63c","parameters":[{"name":"SiteId","in":"query","description":"Site ID for which to retrieve the RAS universal printing settings (optional)","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/PrintingSettings"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"PrintingSettings":{"type":"object","properties":{"embedFonts":{"type":"boolean","description":"<para type=\"description\">Whether Embed Fonts is enabled or not.</para>"},"replicatePrinterFont":{"type":"boolean","description":"<para type=\"description\">Whether the option \"Replicate Printer Font Settings\" is enabled or not..</para>"},"replicatePrinterPattern":{"type":"boolean","description":"<para type=\"description\">Whether the option \"Replicate Printer Name Pattern Settings\" is enabled or not.</para>"},"replicatePrinterDrivers":{"type":"boolean","description":"<para type=\"description\">Whether the option \"Replicate Printer Drivers Settings\" is enabled or not.</para>"},"driverAllowMode":{"$ref":"#/components/schemas/PrnDriverAllowMode"},"printerDriversArray":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Printer Drivers string array.</para>","nullable":true},"excludedFontsArray":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Excluded Fonts string array.</para>","nullable":true},"autoInstallFonts":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Auto Installed Fonts.</para>","nullable":true},"printerNamePattern":{"type":"string","description":"<para type=\"description\">Printer Name Pattern.</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">RAS Printing Settings</para>\r\n<para type=\"description\"></para>"},"PrnDriverAllowMode":{"enum":[["0 = AllowRedirUsingAnyDriver","1 = AllowRedirUsingSpecifiedDriver","2 = DoNotAllowRedirUsingSpecifiedDriver"]],"type":"string","description":"<para type=\"synopsis\">Printer Driver Allow Mode.</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modify printing settings of a Site. For each setting, the request has a corresponding parameter. To modify a setting, specify a matching parameter and its value.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/PrintingSettings":{"put":{"tags":["2-Site settings//Printing"],"summary":"Update","description":"Modify printing settings of a Site. For each setting, the request has a corresponding parameter. To modify a setting, specify a matching parameter and its value.","operationId":"4f12f883-6875-42da-8c44-2d25644737e0","parameters":[{"name":"SiteId","in":"query","description":"Site ID (optional)","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"RAS Printing settings","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetPrintingSettings"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetPrintingSettings":{"type":"object","properties":{"printerDriversArray":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Printer Drivers string array.</para>","nullable":true},"excludedFontsArray":{"type":"array","items":{"type":"string"},"description":"<para type=\"description\">Excluded Fonts string array.</para>","nullable":true},"printerNamePattern":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">Printer Name Pattern.</para>\r\n<para type=\"description\">Default pattern: %PRINTERNAME% for %USERNAME% by Parallels</para>\r\n<para type=\"description\">Valid pattern variables: %PRINTERNAME% | %USERNAME% | %CLIENTNAME% | %SESSIONID% </para>\r\n<para type=\"description\">Other valid pattern: 2X Universal Printer</para>","nullable":true},"embedFonts":{"type":"boolean","description":"<para type=\"description\">Embed Fonts.</para>","nullable":true},"replicatePrinterFont":{"type":"boolean","description":"<para type=\"description\">Replicate Printer Font Settings.</para>","nullable":true},"replicatePrinterPattern":{"type":"boolean","description":"<para type=\"description\">Replicate Printer Name Pattern Settings.</para>","nullable":true},"replicatePrinterDrivers":{"type":"boolean","description":"<para type=\"description\">Replicate Printer Drivers Settings.</para>","nullable":true},"driverAllowMode":{"$ref":"#/components/schemas/PrnDriverAllowMode"}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update RAS Universal Printing settings</para>\r\n<para type=\"description\"></para>"},"PrnDriverAllowMode":{"enum":[["0 = AllowRedirUsingAnyDriver","1 = AllowRedirUsingSpecifiedDriver","2 = DoNotAllowRedirUsingSpecifiedDriver"]],"type":"string","description":"<para type=\"synopsis\">Printer Driver Allow Mode.</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/printing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
